Title: GZIPInputStream issue
Type: Severity: normal
Components: Library Versions: Jython 2.7
Milestone: Jython 2.7.0
Status: closed Resolution: invalid
Dependencies: Superseder:
Assigned To: Nosy List: stefan.richthofer, yuli129, zyasoft
Priority: Keywords:

Created on 2017-08-24.18:28:13 by yuli129, last changed 2017-09-24.16:12:28 by zyasoft.

msg11542 (view) Author: Yuli Shi (yuli129) Date: 2017-08-24.18:28:13

I have a issue when I tried to using *GZIPInputStream *to read a compressed
Bolb column of a table.

I got error as below.

SyntaxError: mismatched input '\n' expecting COLON

I am using Jython 2.7 currently. Please help.


msg11548 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-08-27.11:22:25
Yuli, please provide more information.
Can you share code to reproduce the issue?
How did you install and launch Jython?
Is a full stacktrace available?
msg11595 (view) Author: Jim Baker (zyasoft) Date: 2017-09-13.17:48:48
We need a test case here that we can reproduce. If you are using GZIPInputStream, this sounds like you are directly using

Jython's direct implementation of gzip streaming support directly uses the, and incidentally has better support for real life gzip usage, specifically around headers. We have had a lot of experience in now in its support, since this in turn used by pip/requests. You can read up the docs for that here:
msg11596 (view) Author: Jim Baker (zyasoft) Date: 2017-09-13.17:49:30
Likely invalid, so marking accordingly
Date User Action Args
2017-09-24 16:12:28zyasoftsetstatus: pending -> closed
2017-09-13 17:49:30zyasoftsetstatus: open -> pending
resolution: invalid
messages: + msg11596
2017-09-13 17:48:50zyasoftsetnosy: + zyasoft
messages: + msg11595
2017-08-27 11:22:26stefan.richthofersetnosy: + stefan.richthofer
messages: + msg11548
2017-08-24 18:28:14yuli129create